2019-10-17 00:21 EDT


View Issue Details Jump to Notes ]
IDProjectCategoryView StatusLast Update
0002094FSSCPSEXPspublic2010-02-12 01:40
ReporterVPR 
Assigned Tokarajorma 
PrioritynormalSeverityminorReproducibilityalways
StatusresolvedResolutionfixed 
Product Version3.6.11 
Target VersionFixed in Version3.6.11 
Summary0002094: set-support-ship
DescriptionI'm using the latest windows SSE2 build 5816 (bug also present in SSE2 build 5641) and latest mediavps.

I've noticed if you set the value of this sexp 'maximum number of support ships in this mission' to 1 it will only ever reload one craft then further reloads are no longer available to the AI or the player via the comms menu even though the support craft is still active in the area.

You have to have the value set to at least 2 or above for the support ship to perform more than one ship reload during it's lifetime within the area. Setting it to 1 only seems to allow it to only ever perform one reload.
TagsNo tags attached.
Attached Files

-Relationships
+Relationships

-Notes

~0011530

FUBAR-BDHR (developer)

I can confirm this one and it's not just for the value set to one. It will happen to the last support ship allowed. So if 5 are allowed the 5th one will quit working.

The problem comes down to The_mission.support_ships.tally being incremented on arrival with apparently no current way of tracking if that ship is destroyed yet (guess you could check every ship in mission to see if it's a support ship). So when the check to see if support ships are allowed is done .tally >= .max_support_ships and fails the test.

Also noticed that while the option for calling the support ship is grayed out on the last one the comm menu still allows you to select the support ship and hit rearm. It does nothing though.
+Notes

-Issue History
Date Modified Username Field Change
2010-01-16 06:07 VPR New Issue
2010-01-17 04:44 FUBAR-BDHR Note Added: 0011530
2010-02-11 00:51 karajorma Status new => assigned
2010-02-11 00:51 karajorma Assigned To => karajorma
2010-02-12 01:40 karajorma Status assigned => resolved
2010-02-12 01:40 karajorma Fixed in Version => 3.6.11
2010-02-12 01:40 karajorma Resolution open => fixed
+Issue History